Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class ContentHeaderPropertyReader

    java.lang.Object
      com.rabbitmq.client.impl.ContentHeaderPropertyReader

    public class ContentHeaderPropertyReader

extends java.lang.Object

Parses an AMQP wire-protocol `ContentHeader` from a DataInputStream. Methods on this object are usually called from autogenerated code.

Field Summary
`int` | `bitCount` Current flag position counter
`int` | `flagWord` Current field flag word

Constructor Summary
`ContentHeaderPropertyReader(java.io.DataInputStream in)` Protected API - Constructs a reader from the given input stream

Method Summary
`void` | `finishPresence()`
`void` | `readFlagWord()`
`java.lang.Integer` | `readLong()` Reads and returns an AMQP integer content header field.
`java.lang.Long` | `readLonglong()` Reads and returns an AMQP long integer content header field.
`LongString` | `readLongstr()` Reads and returns an AMQP "long string" (binary) content header field.
`int` | `readOctet()` Reads and returns an AMQP octet content header field.
`boolean` | `readPresence()`
`java.lang.Integer` | `readShort()` Reads and returns an AMQP short integer content header field.
`java.lang.String` | `readShortstr()` Reads and returns an AMQP short string content header field.
`java.util.Map<java.lang.String,java.lang.Object>` | `readTable()` Reads and returns an AMQP table content header field.
`java.util.Date` | `readTimestamp()` Reads and returns an AMQP timestamp content header field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flagWord

    public int flagWord

  Current field flag word

### bitCount

    public int bitCount

  Current flag position counter

Constructor Detail

### ContentHeaderPropertyReader

    public ContentHeaderPropertyReader(java.io.DataInputStream in)
                                throws java.io.IOException

  Protected API - Constructs a reader from the given input stream

  Throws:
    `java.io.IOException`

Method Detail

### readFlagWord

    public void readFlagWord()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readPresence

    public boolean readPresence()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### finishPresence

    public void finishPresence()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### readShortstr

    public java.lang.String readShortstr()
                                  throws java.io.IOException

  Reads and returns an AMQP short string content header field.

  Throws:
    `java.io.IOException`

### readLongstr

    public LongString readLongstr()
                           throws java.io.IOException

  Reads and returns an AMQP "long string" (binary) content header field.

  Throws:
    `java.io.IOException`

### readShort

    public java.lang.Integer readShort()
                                throws java.io.IOException

  Reads and returns an AMQP short integer content header field.

  Throws:
    `java.io.IOException`

### readLong

    public java.lang.Integer readLong()
                               throws java.io.IOException

  Reads and returns an AMQP integer content header field.

  Throws:
    `java.io.IOException`

### readLonglong

    public java.lang.Long readLonglong()
                                throws java.io.IOException

  Reads and returns an AMQP long integer content header field.

  Throws:
    `java.io.IOException`

### readTable

    public java.util.Map<java.lang.String,java.lang.Object> readTable()
                                                               throws java.io.IOException

  Reads and returns an AMQP table content header field.

  Throws:
    `java.io.IOException`

### readOctet

    public int readOctet()
                  throws java.io.IOException

  Reads and returns an AMQP octet content header field.

  Throws:
    `java.io.IOException`

### readTimestamp

    public java.util.Date readTimestamp()
                                 throws java.io.IOException

  Reads and returns an AMQP timestamp content header field.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD